| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# imap/loader.h File Reference

Geometry loader interface. More...

`#include "csutil/scf_interface.h"`
`#include "igraphic/image.h"`
`#include "ivideo/txtmgr.h"`
`#include "imap/streamsource.h"`

Go to the source code of this file.

## Classes
struct | iLoader
| This interface represents the map loader. More...
struct | iLoaderStatus
| An object to query about the status of the threaded loader. More...
struct | iMissingLoaderData
| This callback is called when the loader can't find some material, texture, factory, mesh, light, shader, or sector. More...

## Detailed Description

Geometry loader interface.

Definition in file loader.h.